Package: groovy.console.ui

## [Groovy] Class ConsolePreferences

- groovy.console.ui.ConsolePreferences

-     class ConsolePreferences
      extends Object

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static int` | `DEFAULT_LOOP_MODE_DELAY_MILLIS`
    `static int` | `DEFAULT_MAX_OUTPUT_CHARS`
    `int` | `loopModeDelay`
    `int` | `maxOutputChars`
    `File` | `outputFile`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConsolePreferences(Object console)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `main(Object args)`
    `` | `void` | `show()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### static int DEFAULT_LOOP_MODE_DELAY_MILLIS

    - #### static int DEFAULT_MAX_OUTPUT_CHARS

    - #### @Bindable
      int loopModeDelay

    - #### @Bindable
      int maxOutputChars

    - #### File outputFile

  - ### Constructor Detail

    - #### ConsolePreferences(Object console)

  - ### Method Detail

    - #### static void main(Object args)

    - #### void show()